package core

// Error is the standard error type for impure functions in the registry.
// Wraps a message string. Used as error_type reference.
type Error struct {
	Message string
}

func (e Error) Error() string {
	return e.Message
}
